Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class JspC

    java.lang.Object
      |
      +--org.apache.jasper.JspC

All Implemented Interfaces:
  Options

public class JspC
extends java.lang.Object
implements Options

Shell for the jspc compiler. Handles all options associated with the command line and creates compilation contexts which it then compiles according to the specified options.

Author:
  Danno Ferrin, Pierre Delisle

Field Summary
`static int` | `ALL_WEBXML`
`static int` | `DEFAULT_DIE_LEVEL`
`static java.lang.String` | `DEFAULT_IE_CLASS_ID`
`static int` | `INC_WEBXML`
`static int` | `NO_DIE_LEVEL`
`static int` | `NO_WEBXML`
`static java.lang.String` | `SWITCH_CLASS_NAME`
`static java.lang.String` | `SWITCH_DIE`
`static java.lang.String` | `SWITCH_FILE_WEBAPP`
`static java.lang.String` | `SWITCH_FULL_STOP`
`static java.lang.String` | `SWITCH_IE_CLASS_ID`
`static java.lang.String` | `SWITCH_MAPPED`
`static java.lang.String` | `SWITCH_OUTPUT_DIR`
`static java.lang.String` | `SWITCH_OUTPUT_SIMPLE_DIR`
`static java.lang.String` | `SWITCH_PACKAGE_NAME`
`static java.lang.String` | `SWITCH_QUIET`
`static java.lang.String` | `SWITCH_URI_BASE`
`static java.lang.String` | `SWITCH_URI_ROOT`
`static java.lang.String` | `SWITCH_VERBOSE`
`static java.lang.String` | `SWITCH_WEBAPP_INC`
`static java.lang.String` | `SWITCH_WEBAPP_XML`

Constructor Summary
`JspC(java.lang.String[] arg, java.io.PrintStream log)`

Method Summary
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`java.lang.String` | `getJspCompilerPath()` Path of the compiler to use for compiling JSP pages.
`java.lang.Class` | `getJspCompilerPlugin()` What compiler plugin should I use to compile the servlets generated from JSP files?
`int` | `getJspVerbosityLevel()`
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getLargeFile()` Are we supporting large files?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`java.lang.Object` | `getProtectionDomain()`
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`static void` | `main(java.lang.String[] arg)`
`boolean` | `parseFile(java.io.PrintStream log, java.lang.String file, java.io.Writer servletout, java.io.Writer mappingout)`
`void` | `parseFiles(java.io.PrintStream log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IE_CLASS_ID

    public static final java.lang.String DEFAULT_IE_CLASS_ID

See Also:
  Constant Field Values

### SWITCH_VERBOSE

    public static final java.lang.String SWITCH_VERBOSE

See Also:
  Constant Field Values

### SWITCH_QUIET

    public static final java.lang.String SWITCH_QUIET

See Also:
  Constant Field Values

### SWITCH_OUTPUT_DIR

    public static final java.lang.String SWITCH_OUTPUT_DIR

See Also:
  Constant Field Values

### SWITCH_OUTPUT_SIMPLE_DIR

    public static final java.lang.String SWITCH_OUTPUT_SIMPLE_DIR

See Also:
  Constant Field Values

### SWITCH_IE_CLASS_ID

    public static final java.lang.String SWITCH_IE_CLASS_ID

See Also:
  Constant Field Values

### SWITCH_PACKAGE_NAME

    public static final java.lang.String SWITCH_PACKAGE_NAME

See Also:
  Constant Field Values

### SWITCH_CLASS_NAME

    public static final java.lang.String SWITCH_CLASS_NAME

See Also:
  Constant Field Values

### SWITCH_FULL_STOP

    public static final java.lang.String SWITCH_FULL_STOP

See Also:
  Constant Field Values

### SWITCH_URI_BASE

    public static final java.lang.String SWITCH_URI_BASE

See Also:
  Constant Field Values

### SWITCH_URI_ROOT

    public static final java.lang.String SWITCH_URI_ROOT

See Also:
  Constant Field Values

### SWITCH_FILE_WEBAPP

    public static final java.lang.String SWITCH_FILE_WEBAPP

See Also:
  Constant Field Values

### SWITCH_WEBAPP_INC

    public static final java.lang.String SWITCH_WEBAPP_INC

See Also:
  Constant Field Values

### SWITCH_WEBAPP_XML

    public static final java.lang.String SWITCH_WEBAPP_XML

See Also:
  Constant Field Values

### SWITCH_MAPPED

    public static final java.lang.String SWITCH_MAPPED

See Also:
  Constant Field Values

### SWITCH_DIE

    public static final java.lang.String SWITCH_DIE

See Also:
  Constant Field Values

### NO_WEBXML

    public static final int NO_WEBXML

See Also:
  Constant Field Values

### INC_WEBXML

    public static final int INC_WEBXML

See Also:
  Constant Field Values

### ALL_WEBXML

    public static final int ALL_WEBXML

See Also:
  Constant Field Values

### DEFAULT_DIE_LEVEL

    public static final int DEFAULT_DIE_LEVEL

See Also:
  Constant Field Values

### NO_DIE_LEVEL

    public static final int NO_DIE_LEVEL

See Also:
  Constant Field Values

Constructor Detail

### JspC

    public JspC(java.lang.String[] arg,
                java.io.PrintStream log)

Method Detail

### getKeepGenerated

    public boolean getKeepGenerated()

  Description copied from interface: `Options`
  Are we keeping generated code around?

  Specified by:
    `getKeepGenerated` in interface `Options`

### getLargeFile

    public boolean getLargeFile()

  Description copied from interface: `Options`
  Are we supporting large files?

  Specified by:
    `getLargeFile` in interface `Options`

### getMappedFile

    public boolean getMappedFile()

  Are we supporting HTML mapped servlets?

  Specified by:
    `getMappedFile` in interface `Options`

### getProtectionDomain

    public java.lang.Object getProtectionDomain()

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Description copied from interface: `Options`
  Should errors be sent to client or thrown into stderr?

  Specified by:
    `getSendErrorToClient` in interface `Options`

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Description copied from interface: `Options`
  Should we include debug information in compiled class?

  Specified by:
    `getClassDebugInfo` in interface `Options`

### getIeClassId

    public java.lang.String getIeClassId()

  Description copied from interface: `Options`
  Class ID for use in the plugin tag when the browser is IE.

  Specified by:
    `getIeClassId` in interface `Options`

### getJspVerbosityLevel

    public int getJspVerbosityLevel()

### getScratchDir

    public java.io.File getScratchDir()

  Description copied from interface: `Options`
  What is my scratch dir?

  Specified by:
    `getScratchDir` in interface `Options`

### getJspCompilerPlugin

    public java.lang.Class getJspCompilerPlugin()

  Description copied from interface: `Options`
  What compiler plugin should I use to compile the servlets generated from JSP files?

  Specified by:
    `getJspCompilerPlugin` in interface `Options`

### getJspCompilerPath

    public java.lang.String getJspCompilerPath()

  Description copied from interface: `Options`
  Path of the compiler to use for compiling JSP pages.

  Specified by:
    `getJspCompilerPath` in interface `Options`

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  Description copied from interface: `Options`
  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Specified by:
    `getTldLocationsCache` in interface `Options`
  Returns:
    the instance of the TldLocationsCache for the web-application.

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Description copied from interface: `Options`
  Java platform encoding to generate the JSP page servlet.

  Specified by:
    `getJavaEncoding` in interface `Options`

### getClassPath

    public java.lang.String getClassPath()

  Description copied from interface: `Options`
  What classpath should I use while compiling the servlets generated from JSP files?

  Specified by:
    `getClassPath` in interface `Options`

### parseFile

    public boolean parseFile(java.io.PrintStream log,
                             java.lang.String file,
                             java.io.Writer servletout,
                             java.io.Writer mappingout)

### parseFiles

    public void parseFiles(java.io.PrintStream log)
                    throws JasperException

    `JasperException`

### main

    public static void main(java.lang.String[] arg)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.